メインコンテンツへスキップ
GET
/
marketing
/
v3
/
campaigns
ページ分割読み取り
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "businessUnits": [
        {
          "id": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

limit
integer<int32>

ページごとに表示する結果の最大数。

name
string

名前でキャンペーンを絞り込みます。任意。

properties
string[]

レスポンスに含めるプロパティーのカンマ区切りリスト。 認識されないプロパティーは無視されます。任意。例:hs_name,hs_budget, hs_notes

sort
string

結果を並べ替える基準となるプロパティー。任意。

レスポンス

successful operation

results
object[]
必須

PublicCampaignオブジェクトの配列。各オブジェクトは、関連するプロパティーを持つキャンペーンを表します。

total
integer<int32>
必須

利用可能な公開キャンペーンの総数を表す整数です。

paging
object
Last modified on May 11, 2026